From: Bastian Germann <bage@debian.org>
Date: Tue, 4 Mar 2025 20:16:07 +0100
Subject: Drop setWindowIcon and setQuitOnLastWindowClosed calls
---
--- a/linphone-app/src/app/App.cpp
+++ b/linphone-app/src/app/App.cpp
@@ -271,7 +271,6 @@ App::App(int &argc, char *argv[])
 	QSurfaceFormat::setDefaultFormat(ignoreVSync);
 	connect(this, SIGNAL(applicationStateChanged(Qt::ApplicationState)), this,
 	        SLOT(stateChanged(Qt::ApplicationState)));
-	setWindowIcon(QIcon(Constants::WindowIconPath));
 
 #ifdef Q_OS_WIN
 	char tz[255] = {0};
@@ -473,8 +472,6 @@ void App::initContentApp() {
 		VideoCodecsModel::updateCodecs();
 		VideoCodecsModel::downloadUpdatableCodecs(this);
 
-		// Don't quit if last window is closed!!!
-		setQuitOnLastWindowClosed(false);
 
 #ifndef Q_OS_MACOS
 		mustBeIconified = mParser->isSet("iconified");
